{ inputs, pkgs, config, lib, ... }: {
  imports = [
    ../../templates/proxmox-lxc.nix
    ../../server.nix
  ];

  networking.hostName = "owncast";
  system.stateVersion = "24.05";
  nixpkgs.hostPlatform = "x86_64-linux";

  services.owncast = {
    enable = true;
    listen = 8080;
    port = 6060;
    rtmp-port = 6969;
  };
}
